ShortLinkControllerDeleteForgottenShortLinks Method |
POST /ShortLink/DeleteForgotten
Deletes short links whose "last accessed time" is before the specified date.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("DeleteForgotten")]
public IActionResult DeleteForgottenShortLinks(
[FromBodyAttribute] DateTime thresholdDate,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("DeleteForgotten")>
Public Function DeleteForgottenShortLinks (
<FromBodyAttribute> thresholdDate As DateTime,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"DeleteForgotten")]
IActionResult^ DeleteForgottenShortLinks(
[FromBodyAttribute] DateTime thresholdDate,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("DeleteForgotten")>]
member DeleteForgottenShortLinks :
[<FromBodyAttribute>] thresholdDate : DateTime *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- thresholdDate
- Type: SystemDateTime
The threshold date. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
Int32 with the number of short links deleted, or a status code indicating the problem.
See Also